<?php
$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_6f38e6660ae5bf008" . "4b669666588589c" => base64_decode("bWV0Y" . "V8="), "_a591754a8ddcdbda9c80f1db4d" . "911e14" => base64_decode("aXNfb" . "nVsbA" . "=="), "_b73e798a041f8fc" . "ca58bc46afd24552" . "c" => base64_decode("aWNvbl" . "9lZGl0"), "_047cc9462af7309dcf204586ff650" . "a9d" => base64_decode("X3RyZWVwYWdpb" . "mc="), "_25867e3e3db28969" . "253f3a370c3166ba" => base64_decode("ZGVzYw" . "=="), "_bd71c3b5c" . "201fc11db8" . "2ed14ce424" . "de5" => base64_decode("aW5" . "fYX" . "JyY" . "Xk="), "_b66252d7bbf361012a6531a8e3" . "a73230" => base64_decode("YXJyYXl" . "fZGlmZg" . "=="), "_37d6fcac1e4ca360eb11b" . "b40c4897aea" => base64_decode("U0VTU0lPTl" . "8="), "_cfe3120f54395b670652b" . "38c2d0a8e88" => base64_decode("c3Vic3" . "Ry"), "_aa7e860da1" . "acd4e767e0d" . "f9d7d407380" => base64_decode("ZGF0ZV9jcmVhdG" . "Vk"));





class ImageListViewController extends ClaTreeViewController
{
    protected $columns_to_show;
    protected $album_id;
    
    
    
    
    
    public function __construct()
    {
        parent::__construct();
        $this->SetPagingParams(true, 15, 0);
        $this->sort_column = $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_aa7e860da1acd4e767e0df9" . "d7d407380"];
        $this->sort_direction = $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_25867e3" . "e3db2896" . "9253f3a3" . "70c3166b" . "a"];
        $this->metadata = array();
        
        
        $this->columns_to_show = null;
        $this->album_id = 0;
    }
    
    
    
    
    
    
    
    
    
    
    
    
    public function SetPagingParams($use_paging, $page_size = 20, $page_offset = 0, $max_items_wo_paging = null, $max_items_to_process = 1000)
    {
        parent::SetPagingParams($use_paging, $page_size, $page_offset, $max_items_wo_paging, $max_items_to_process);
        $this->max_items_wo_paging = $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_a591754a8ddc" . "dbda9c80f1db4" . "d911e14"]($max_items_wo_paging) ? $page_size : $max_items_wo_paging;
        return true;
    }
    protected function _BranchOpenCloseAll($id, $status)
    {
    }
    public static function DoTreeGPCOperations($controller, $session_prefix, $album_id = null)
    {
        
        
        $_f2d45f565f12276f8d871b3e215d01eb = $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_37d6fcac1e4ca360eb1" . "1bb40c4897aea"] . $session_prefix . $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_047cc9462af7309dcf20458" . "6ff650a9d"];
        $_SESSION[$_f2d45f565f12276f8d871b3e215d01eb] = array();
        $controller->album_id = $album_id;
        ClaTreeViewController::DoTreeGPCOperations($controller, $session_prefix, $album_id);
        if ($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_a591754a8ddcdbd" . "a9c80f1db4d911e1" . "4"]($controller->columns_to_show)) {
            $_0bc7588938bfc7dc40d438d105dcdf1c = new ImageAlbum($controller->album_id);
            $controller->columns_to_show = $_0bc7588938bfc7dc40d438d105dcdf1c->GetListColumns();
            $controller->metadata = array();
            foreach ($controller->columns_to_show as $_39ee6ebc906f3b410a43566f3d34d868) {
                if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_cfe3120f54395b670652" . "b38c2d0a8e88"]($_39ee6ebc906f3b410a43566f3d34d868, 0, 5) == $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_6f38e6660ae5bf0084" . "b669666588589c"]) {
                    $controller->metadata[] = $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_cfe3120f54" . "395b670652b" . "38c2d0a8e88"]($_39ee6ebc906f3b410a43566f3d34d868, 5);
                }
            }
            if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_bd71c3b5c201fc11" . "db82ed14ce424de5"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_b73e798a041f8fcc" . "a58bc46afd24552c"], $controller->columns_to_show)) {
                if (!$controller->IsAdminMode() && !$_0bc7588938bfc7dc40d438d105dcdf1c->UserHasPermission(PERM_EDIT_META)) {
                    $controller->columns_to_show = $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_b66252d7bbf3" . "61012a6531a8e" . "3a73230"]($controller->columns_to_show, array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_b73e798a041f8fcca5" . "8bc46afd24552c"]));
                }
            }
        }
    }
    
    
    
    
    
    
    public function GetColumnsListToShow()
    {
        
        
        $_189840d11056515e52402d1412a0b6e4 = $this->columns_to_show;
        
        
        
        
        
        return $_189840d11056515e52402d1412a0b6e4;
    }
}